package ovh.herisson.Clyde.Repositories;

import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import ovh.herisson.Clyde.Tables.Course;
import ovh.herisson.Clyde.Tables.Lesson;

public interface LessonRepository extends CrudRepository<Lesson, Long> {

    Lesson findById(long id);

    @Query("select l from Lesson l where l.course = ?1")
    Iterable<Lesson> findLessonByCourse(Course course);
}
