import {restGet,restPost,restPatch} from "@/rest/restConsumer.js";

export async function getAllSchedule(){
    return restGet('/schedules');
}

export async function getOwnSchedule(){
    return restGet('/schedule')
}

export async function createSchedule(curriculum) {
    return restPost('/schedule',{curriculum : curriculum})
}

export async function getCurriculumSchedule(id){
  return restGet('/schedule/curriculum/' + id)
}
